%define upstream_name    Dist-Zilla-App-Command-cover
%define upstream_version 1.101001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Code coverage metrics for your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cover)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a command plugin for the Dist::Zilla manpage. It provides the
'cover' command, which generates code coverage metrics for your
distribution using the Devel::Cover manpage.

If there were any test errors, the 'cover' command won't be run. Author and
release tests are not run since they should not be counted against code
coverage. Any additional command-line arguments are passed to the 'cover'
command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.101.1-3.mga4
+ Revision: 510969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.101.1-2.mga3
+ Revision: 366011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.101.1-1.mga3
+ Revision: 254865
- update to 1.101001

* Mon Apr 11 2011 jquelin <jquelin> 1.101.0-1.mga1
+ Revision: 83275
- imported package perl-Dist-Zilla-App-Command-cover


* Mon Apr 11 2011 cpan2dist 1.101000-1mga
- initial mageia release, generated with cpan2dist
